GraphiQL open_in_new

# `Mutation`

The root query for implementing GraphQL mutations.

## GraphQL Schema definition `

- type Mutation {
- # Adds a comment to an Issue or Pull Request.
- #
- # Arguments
- # input: [NULL]
- addComment(input: AddCommentInput!): AddCommentPayload
- # Adds a card to a ProjectColumn. Either `contentId`
- # or `note` must be provided but **not** both.
- #
- # Arguments
- # input: [NULL]
- addProjectCard(input: AddProjectCardInput!): AddProjectCardPayload
- # Adds a column to a Project.
- #
- # Arguments
- # input: [NULL]
- addProjectColumn(input: AddProjectColumnInput!): AddProjectColumnPayload
- # Adds a review to a Pull Request.
- #
- # Arguments
- # input: [NULL]
- addPullRequestReview(input: AddPullRequestReviewInput!): AddPullRequestReviewPayload
- # Adds a comment to a review.
- #
- # Arguments
- # input: [NULL]
- addPullRequestReviewComment(input: AddPullRequestReviewCommentInput!): AddPullRequestReviewCommentPayload
- # Adds a reaction to a subject.
- #
- # Arguments
- # input: [NULL]
- addReaction(input: AddReactionInput!): AddReactionPayload
- # Creates a new project.
- #
- # Arguments
- # input: [NULL]
- createProject(input: CreateProjectInput!): CreateProjectPayload
- # Deletes a project.
- #
- # Arguments
- # input: [NULL]
- deleteProject(input: DeleteProjectInput!): DeleteProjectPayload
- # Deletes a project card.
- #
- # Arguments
- # input: [NULL]
- deleteProjectCard(input: DeleteProjectCardInput!): DeleteProjectCardPayload
- # Deletes a project column.
- #
- # Arguments
- # input: [NULL]
- deleteProjectColumn(input: DeleteProjectColumnInput!): DeleteProjectColumnPayload
- # Deletes a pull request review.
- #
- # Arguments
- # input: [NULL]
- deletePullRequestReview(input: DeletePullRequestReviewInput!): DeletePullRequestReviewPayload
- # Dismisses an approved or rejected pull request review.
- #
- # Arguments
- # input: [NULL]
- dismissPullRequestReview(input: DismissPullRequestReviewInput!): DismissPullRequestReviewPayload
- # Moves a project card to another place.
- #
- # Arguments
- # input: [NULL]
- moveProjectCard(input: MoveProjectCardInput!): MoveProjectCardPayload
- # Moves a project column to another place.
- #
- # Arguments
- # input: [NULL]
- moveProjectColumn(input: MoveProjectColumnInput!): MoveProjectColumnPayload
- # Removes outside collaborator from all repositories
- # in an organization.
- #
- # Arguments
- # input: [NULL]
- removeOutsideCollaborator(input: RemoveOutsideCollaboratorInput!): RemoveOutsideCollaboratorPayload
- # Removes a reaction from a subject.
- #
- # Arguments
- # input: [NULL]
- removeReaction(input: RemoveReactionInput!): RemoveReactionPayload
- # Set review requests on a pull request.
- #
- # Arguments
- # input: [NULL]
- requestReviews(input: RequestReviewsInput!): RequestReviewsPayload
- # Submits a pending pull request review.
- #
- # Arguments
- # input: [NULL]
- submitPullRequestReview(input: SubmitPullRequestReviewInput!): SubmitPullRequestReviewPayload
- # Updates an existing project.
- #
- # Arguments
- # input: [NULL]
- updateProject(input: UpdateProjectInput!): UpdateProjectPayload
- # Updates an existing project card.
- #
- # Arguments
- # input: [NULL]
- updateProjectCard(input: UpdateProjectCardInput!): UpdateProjectCardPayload
- # Updates an existing project column.
- #
- # Arguments
- # input: [NULL]
- updateProjectColumn(input: UpdateProjectColumnInput!): UpdateProjectColumnPayload
- # Updates the body of a pull request review.
- #
- # Arguments
- # input: [NULL]
- updatePullRequestReview(input: UpdatePullRequestReviewInput!): UpdatePullRequestReviewPayload
- # Updates a pull request review comment.
- #
- # Arguments
- # input: [NULL]
- updatePullRequestReviewComment(input: UpdatePullRequestReviewCommentInput!): UpdatePullRequestReviewCommentPayload
- # Updates viewers repository subscription state.
- #
- # Arguments
- # input: [NULL]
- updateSubscription(input: UpdateSubscriptionInput!): UpdateSubscriptionPayload
- }

`